Bug 199349 - Support disabling of 'quick search' in property sheet
Support disabling of 'quick search' in property sheet
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Explorer
7.1
PC Windows XP
: P3 (vote)
: TBD
Assigned To: apireviews
issues@platform
: API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-10 19:52 UTC by tomwheeler
Modified: 2011-06-21 16:04 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Patch to support disabling quick search on property sheets. (12.67 KB, application/octet-stream)
2011-06-10 21:14 UTC, tomwheeler
Details

Note You need to log in before you can comment on or make changes to this bug.
Description tomwheeler 2011-06-10 19:52:40 UTC
Some users of our NetBeans Platform applications complain that the property sheet's 'quick search' feature is confusing to them.  Our developers want the ability to disable, but there seems to be no way to do this.

Anuradha G. provided a patch in issue #181452 that allows one to disable quick search in TreeView.  I plan to develop a patch to allow the same for PropertySheet and will submit it shortly.

My patch will retain the current behavior by default (i.e. quick search will be enabled) but allow one to disable quick search either globally or per-instance.  The former will make it easy to disable it throughout the application, including the standard property sheet dialog/TopComponent, while the latter will give more precise control when one uses PropertySheet directly.
Comment 1 tomwheeler 2011-06-10 21:14:30 UTC
Created attachment 108850 [details]
Patch to support disabling quick search on property sheets.

I've added a patch which includes the change to disable quick search either globally or per-instance, along with related documentation and tests.
Comment 2 Jaroslav Tulach 2011-06-12 19:15:21 UTC
Good, I think you can integrate this.

Y01 What is the usecase for the systemproperty? Is it really supposed to be private? If some application relies on it to work, then it does not look very private + maybe it would rather be a branding key.
Comment 3 tomwheeler 2011-06-13 15:27:07 UTC
Y01: The use case for the system property is that it seemed a good way for one to disable quick search for all property sheets, including instances which are defined by the application and to which you otherwise have no access (i.e. the dialog shown by PropertiesAction or the TopComponent shown via the Window menu).  

You are right that it's not really a private system property since it's intended for use by application developers.  I feel a system property is more flexible than a branding key, since it allows one to easily change behavior via the command line , the .conf file (e.g. -J-D option to the launcher) or at runtime (e.g. through an action that sets the system property).  

I think that "Under development" is probably the best value for the stability of the system property.  Can you make this change when (if) you integrate or do you need me to submit a new patch?
Comment 4 tomwheeler 2011-06-18 17:28:39 UTC
pushed to core-main in changeset 7d8ea9251fb6, with subsequent minor correction to arch.xml made in changeset aa386fc52625.
Comment 5 tomwheeler 2011-06-19 02:41:25 UTC
updated again in changeset efa1f26e89af, since apichanges.xml tried to link to package private class and caused nbms-and-javadoc build #7404 to be unstable.
Comment 6 Quality Engineering 2011-06-19 14:01:45 UTC
Integrated into 'main-golden', will be available in build *201106190600* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/7d8ea9251fb6
User: Thomas W. Wheeler <tomwheeler@netbeans.org>
Log: #199349 -  Support disabling of 'quick search' in property sheet
Comment 7 Quality Engineering 2011-06-20 14:06:12 UTC
Integrated into 'main-golden', will be available in build *201106200600* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/efa1f26e89af
User: Thomas W. Wheeler <tomwheeler@netbeans.org>
Log: #199349: don't link to package-private class
Comment 8 Quality Engineering 2011-06-21 16:04:40 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/1fdf22a20e37
User: Thomas W. Wheeler <tomwheeler@netbeans.org>
Log: #199349: removing @Test annotations per Jesse's suggestion


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo